Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp chọn đối tượng theo màu


  • Please log in to reply
2 replies to this topic

#1 victor85

victor85

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 31 May 2012 - 01:42 PM

Các bác viết dùm em lisp chọn nhanh đối tượng theo màu như sau với ạ (Công việc này em biết là lệnh filter có thể làm được nhưng dù sao nâng tầm lên làm lisp dùng vẫn đã hơn :D):

Lisp colour_select: Lệnh cs
+Chọn màu của đối tượng mẫu:
+Chọn vùng đối tượng lựa chọn
Kết quả mình sẽ chọn được đối tượng cùng màu với đối tượng mẫu ( chú ý: màu đối tượng ở đây là màu đã được gán cho - khác với màu của By layer)

Em thấy các bác hay vẽ cad từ thời ngày xưa ko hay quản lý đối tượng theo layer. Nhận lại bản vẽ này đọc rất bực mình. Nếu có lisp chọn nhanh đối tượng này ta sẽ dễ dàng quản lý đối tượng vẽ theo màu tương tự như ta sử dụng layon, layoff, layiso rất tiện dụng. Em xin chân thành cảm ơn các bác nhé!
  • 0

#2 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 31 May 2012 - 02:05 PM

Các bác viết dùm em lisp chọn nhanh đối tượng theo màu như sau với ạ (Công việc này em biết là lệnh filter có thể làm được nhưng dù sao nâng tầm lên làm lisp dùng vẫn đã hơn :D):

Lisp colour_select: Lệnh cs
+Chọn màu của đối tượng mẫu:
+Chọn vùng đối tượng lựa chọn
Kết quả mình sẽ chọn được đối tượng cùng màu với đối tượng mẫu ( chú ý: màu đối tượng ở đây là màu đã được gán cho - khác với màu của By layer)

Em thấy các bác hay vẽ cad từ thời ngày xưa ko hay quản lý đối tượng theo layer. Nhận lại bản vẽ này đọc rất bực mình. Nếu có lisp chọn nhanh đối tượng này ta sẽ dễ dàng quản lý đối tượng vẽ theo màu tương tự như ta sử dụng layon, layoff, layiso rất tiện dụng. Em xin chân thành cảm ơn các bác nhé!

Lisp như thế trên diễn đàn có rồi bạn ah
Ví dụ như bài của bác DOAN VAN HA

(defun c:ha () (setq ss (ssget (list (assoc 62 (entget (car (entsel "\nDoi tuong mau :"))))))))
Còn nếu bạn muốn nhập màu (chứ không phải chọn đối tượng mẫu)
Bạn dùng thử

(defun c:mau ( / chonmau ss )
(setq chonmau (getint "\nChon mau doi tuong (so nguyen): "))
(setq ss (ssget (list (cons 62 chonmau))))
)
Tất nhiêu không bao gồm màu "BY LAYER" như bạn nói
  • 1
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 31 May 2012 - 02:27 PM

Các bác viết dùm em lisp chọn nhanh đối tượng theo màu như sau với ạ (Công việc này em biết là lệnh filter có thể làm được nhưng dù sao nâng tầm lên làm lisp dùng vẫn đã hơn :D):

Lisp colour_select: Lệnh cs
+Chọn màu của đối tượng mẫu:
+Chọn vùng đối tượng lựa chọn
Kết quả mình sẽ chọn được đối tượng cùng màu với đối tượng mẫu ( chú ý: màu đối tượng ở đây là màu đã được gán cho - khác với màu của By layer)

Em thấy các bác hay vẽ cad từ thời ngày xưa ko hay quản lý đối tượng theo layer. Nhận lại bản vẽ này đọc rất bực mình. Nếu có lisp chọn nhanh đối tượng này ta sẽ dễ dàng quản lý đối tượng vẽ theo màu tương tự như ta sử dụng layon, layoff, layiso rất tiện dụng. Em xin chân thành cảm ơn các bác nhé!

Thấy bạn yêu cầu chọn các kiểu rất nhiều. Mình giới thiệu bạn cái lisp mình viết chuyên cho việc chọn dùng chứ nhiều cái nhớ lệnh mệt chết.
http://duy782006.blo...isp-di-ong.html

Trongbộ này của mình có lệnh CHOND sẽ lên bảng rất nhiều kiểu chọn.
-Khi chọn xong kết thúc lệnh thno1o1 báo ra số lượng chọn được. Bạn muốn áp dụng thao tác gì với nhòm đó thì lựa chọn p là được.
-Lồng việc chọn này trong lệnh cad thì khi chọn đối tượng gỏ (chon) Lưu ý có cả hai dấu ngoặc dơn và chử chon nhé. nó sẽ nhảy qua lisp chọn của mình chọn xong thì gỏ chử p phát nó thêm tập chọn này vào lệnh đang thực hiện của cad.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D